# Custom UI/widget

### Change color of UI

**How it works**

Go to <https://app.acquire.io/widget/theme> - :

![](https://4291449717-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LMa9C05MmCnAr03_v9O%2F-LONo796qobKzSwuw08X%2F-LONoKsa6SGTCC4ZSDNC%2Ftheme_change.png?alt=media\&token=5d7e7b02-b360-4f65-a625-ef69f0f50f64)

{% hint style="info" %}
Whole Chat module will change according to this Background color.

If not provided then it will use default primary colors of your app.
{% endhint %}

### Chat and call customization

To hide create new chat icon call below method.

```
AcquireApp.isHideNewChat()
```

To remove minimize video call option call below method. Use this method after successful initialization of AcquireApp.

```
AcquireApp.removeMinimizeButton()
```

When require only agent can cut the call, call below method to remove endCall button from video and audio call.

```
AcquireApp.removeDisconnectButton()
```

To set the desired orientation for local video (takes an Integer value)

```
AcquireApp.setLocalVideoRotation(rotationValue: Int)
```

To set the exact position of thumb video view (takes Int x and Int y values in dp)

```
 AcquireApp.setThumbPosXY(initialX: Int, initialY: Int)
```

To set size of Remote view on thumb view (takes Int width and Int height values in dp)

```
AcquireApp.setThumbRemoteFrameSize(w: Int, h: Int) 
```

To set size of Local view on thumb view (takes Int width and Int height values in dp)

```
AcquireApp.setThumbLocalFrameSize(w: Int, h: Int)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/master/android/custom-ui-widget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
